# Class TglBitmapCubeMap

Description | Hierarchy | Fields | Methods | Properties

## Unit

glBitmap

## Declaration

`type TglBitmapCubeMap = class(TglBitmap2D)`

## Description

wrapper class for cube maps (OpenGL target = GL_TEXTURE_CUBE_MAP) all operations on a bitmap object must be done from the render thread

## Hierarchy

- TObject
- TglBitmap
- TglBitmap2D
- TglBitmapCubeMap

## Overview

### Methods

| `procedure AfterConstruction; override;`
| `procedure UploadData(const aDataObj: TglBitmapData; const aCheckSize: Boolean = true); override;`
| `procedure UploadCubeMap(const aDataObj: TglBitmapData; const aCubeTarget: Cardinal; const aCheckSize: Boolean);`
| `procedure Bind( const aEnableTextureUnit: Boolean = true); reintroduce; virtual;`
| `procedure Unbind( const aDisableTextureUnit: Boolean = true); reintroduce; virtual;`

## Description

### Methods

| `procedure AfterConstruction; override;`
this method is called after constructor and initializes the object

| `procedure UploadData(const aDataObj: TglBitmapData; const aCheckSize: Boolean = true); override;`

upload texture data from given data object to video card

###### Parameters

aData
  texture data object that contains the actual data
aCheckSize
  check size before upload and throw exception if something is wrong

| `procedure UploadCubeMap(const aDataObj: TglBitmapData; const aCubeTarget: Cardinal; const aCheckSize: Boolean);`

upload texture data from given data object to video card

###### Parameters

aData
  texture data object that contains the actual data
aCubeTarget
  cube map target to upload data to (e.g. GL_TEXTURE_CUBE_MAP_POSITIVE_X)
aCheckSize
  check size before upload and throw exception if something is wrong

| `procedure Bind( const aEnableTextureUnit: Boolean = true); reintroduce; virtual;`

bind texture

###### Parameters

aEnableTexCoordsGen
  enable cube map generator
aEnableTextureUnit
  enable texture unit

| `procedure Unbind( const aDisableTextureUnit: Boolean = true); reintroduce; virtual;`

unbind texture

###### Parameters

aDisableTexCoordsGen
  disable cube map generator
aDisableTextureUnit
  disable texture unit

Generated by PasDoc 0.13.0 on 2014-12-24 04:27:09